
stages:
    - dast
    - verify
            
include:
    - template: DAST-API.gitlab-ci.yml
    - https://gitlab.com/gitlab-org/security-products/tests/api-fuzzing-e2e/e2e-image/-/raw/master/template-verify.yml

variables:
    REPORT: gl-dast-api-report.json
    TARGET_IMAGE: registry.gitlab.com/gitlab-org/security-products/api-security-targets/image-target-flask/master:latest
    DAST_API_TARGET_URL: http://target:7777
    DAST_API_PROFILE: Full

dast_api:
    allow_failure: false
    services:
        - name: $TARGET_IMAGE
          alias: target
    tags:
        - ${RUNNER_TAG}

# end
